Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.controls.ejb.events
Interface EventService

All Superinterfaces
  Serializable

    @ControlInterface
    public interface EventService

extends Serializable

Event Service remote interface. Pass events to this service to have them handled by registered listeners. Listeners register themselves for this service via the WebLogic management console; classes that implement the EventListener interface may add themselves as listeners using the Configuration tab for the Event Service. Those classes express interest in certain Event types, and when an event of that is dispatched via this service, it is forwarded to the listener.

This control requires that the EventService EJB has been deployed to the application. The EventService EJB is contained in p13n_ejb.jar, and is deployed with every Portal application.

Note that there are specialized event controls available as well (see the controls in com.bea.p13n.events.controls package).

See Also
  `Event`, `EventListener`, `EventService`

Method Summary
`void` | `dispatchEvent(Event event)` Dispatch an event to the EventService.

Method Detail

### dispatchEvent

    void dispatchEvent(Event event)
                       throws P13nControlException

  Dispatch an event to the EventService. The Event will be handled by any EventListeners that are registered to handle events of its type.

  Parameters
    `event` - The Event oject containing relevant data.
  Throws
    `P13nControlException` - if remote errors occur (from the EJB Container)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.